﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UseGoogleMap.aspx.cs" Inherits="CSSamples.Samples.Layers.UseGoogleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Use Google Map</title> 
     <script type="text/javascript">

     var tgMap;
    var OnMapCreated = function (map) {
        //alert(" in OnMapCreated" );
        tgMap = map;
    }
     var OnOverlaysDrawing = function (layers) {
            for (var i = 0, l = layers.length; i < l; i++) {
                var layer = layers[i];
                if (layer.id === "Google Map" ) {
                    layer.MIN_ZOOM_LEVEL = 1;
                    layer.MAX_ZOOM_LEVEL = 18;
                    break;
                }
            }
        }   

          </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Height="100%" Width="100%">
    </cc1:Map>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        This sample displays a google map. Click buttons below to switch between different Google maps.
        <br />
        <br />
        <asp:Button CssClass="btn" ID="btnRoad" runat="server" Text="Normal" OnClientClick="Map1.SetCurrentBackgroundMapType(G_NORMAL_MAP); return false;" />
        <asp:Button CssClass="btn" ID="btnAerial" runat="server" Text="Hybrid" OnClientClick="Map1.SetCurrentBackgroundMapType(G_HYBRID_MAP); return false;" /><br />
        <asp:Button CssClass="btn" ID="btnSatellite" runat="server" Text="Satellite" OnClientClick="Map1.SetCurrentBackgroundMapType(G_SATELLITE_MAP); return false;" />
        <asp:Button CssClass="btn" ID="btnPhysical" runat="server" Text="Physical" OnClientClick="Map1.SetCurrentBackgroundMapType(G_PHYSICAL_MAP); return false;" />
    </Description:DescriptionPanel>
    </form>
</body>
</html>